## wah-plugins-0.1.0-7.src.tar.gz

=== Makefile ===
# --------------------------------------------------------------------------
#
#  Copyright (C) 2009-2014 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# --------------------------------------------------------------------------


CPPFLAGS += -I. -D_REENTRANT
CXXFLAGS += -ffast-math -fPIC -Wall -O3


all:	autowah.so


WAHPLUGINS_O = wahplugins.o autowah.o
WAHPLUGINS_H = ladspaplugin.h autowah.h

autowah.so:	$(WAHPLUGINS_O)
	g++ -shared  -o autowah.so $(WAHPLUGINS_O)

$(WAHPLUGINS_O):	$(WAHPLUGINS_H)


install:	all
	cp  *.so /usr/lib/ladspa

clean:
	/bin/rm -f *~ *.o *.so

=== PKGBUILD ===
# Maintainer: David Runge <dave@sleepmap.de>
# Contributor: speps <speps at aur dot archlinux dot org>
# Contributor: Renato Budinich <rennabh at gmail dot com>

pkgname=wah-plugins
pkgver=0.1.0
pkgrel=7
pkgdesc="LADSPA Wah filter plugin"
arch=('x86_64')
url="https://kokkinizita.linuxaudio.org/linuxaudio/ladspa/"
license=('GPL2')
groups=('ladspa-plugins' 'pro-audio')
depends=('gcc-libs')
makedepends=('ladspa')
source=("https://kokkinizita.linuxaudio.org/linuxaudio/downloads/WAH-plugins-${pkgver}.tar.bz2")
sha512sums=('e3063115d2e635bee30ac4792d0c4f3536de79f25c153d790a1721c0f636636feeef5f7dd739c35443a68be058943ca29b4825dceef9bc56f862dbd7c7958ada')

prepare() {
  mv -v "WAH-plugins-${pkgver}" "${pkgname}-${pkgver}"
  
}

build() {
  cd "${pkgname}-${pkgver}"
  make
}

package() {
  cd "${pkgname}-${pkgver}"

  # plugin
  install -vDm 755 autowah.so "${pkgdir}/usr/lib/ladspa/autowah.so"
  # docs
  install -vDm 644 {AUTHORS,README} -t "${pkgdir}/usr/share/doc/${pkgname}/"
}

# vim:set ts=2 sw=2 et:
